<? $api_conf = Zend_Registry::get('api_config'); ?>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=<?= $api_conf['googleMaps'] ?>&sensor=false"></script>

<style type="text/css">
#gMap-wrapper {
	margin: 30px 45px 10px 45px;
	border: 1px solid #333;
}
#gMap-wrapper div.options {
	padding: 15px 20px;
	background: #333;
	float: none;
}
#gMap-wrapper div.options label {
	color: #fff;
	font-weight: bold;
	margin-right: 60px;
	vertical-align: middle;
}
#gMap-wrapper div.options label span {
	vertical-align: middle;
}
#gMap-wrapper div.options label input {
	vertical-align: middle;
}
#gMap {
	height: 350px;
}
#fill_contact_info { display: block; margin-bottom: 10px; font-size: 14px; }
</style>

<fieldset>
	<legend><?= __('pv2_section_contact_information') ?></legend>
	<div class="body">
		
		<? $user = Model_Users::getCurrent(); ?>
		<? if ($user->isAgency()): ?>
			<a href="<?= $this->getLink('fill-contact-info') ?>" id="fill_contact_info"><?= __('fill_contact_info') ?></a>
		<? endif; ?>
		
		<fieldset>
			<legend><?= __('pv2_section_contact') ?></legend>

			<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

			<div class="body">
				<div class="inner long">
					<label for="phone_prefix"><?= __('country_call_code') ?></label>
						<? $countries = new Model_Countries();?>
						<select name="phone_prefix" id="phone_prefix" style="width:228px">
							<option value ="">-------</option>
							<? foreach($this->phone_countries as $country):?>
							<option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= (isset($this->phone_prefix_id) && $country->id == $this->phone_prefix_id) ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
							<? endforeach; ?>
						</select>
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label for="phone"><?= __('pv2_label_phone_number') ?></label>
					<input id="phone" type="text" class="txt" name="phone_number" value="<?= $this->data['phone_number'] ?>" size="40" />
					<div class="clear"></div>
				</div>
				
				<div class="inner long vindent">
					<label><?= __('pv2_label_phone_instructions') ?></label>
					<dl class="options">
						<? foreach ( $this->defines['phone_instructions'] as $id => $label ): ?>
						<dt>
							<label for="phone-instr-<?= $id ?>"><?= $label ?></label><br/>
							<input id="phone-instr-<?= $id ?>" type="radio" name="phone_instr" value="<?= $id ?>"<?= $this->data['phone_instr'] == $id ? ' checked="checked"' : '' ?> />
						</dt>
						<? endforeach ?>
						<dt>
							<label for="no-withheld"><?= __('pv2_label_no_withheld_numbers') ?></label><br/>
							<input id="no-withheld" type="checkbox" name="phone_instr_no_withheld" value="1"<?= $this->data['phone_instr_no_withheld'] ? ' checked="checked"' : '' ?> />
						</dt>

						<dt style="text-align: left">
							<label for="instr-other"><?= __('pv2_label_phone_instr_other') ?></label><br/>
							<input id="instr-other" type="text" class="txt" name="phone_instr_other" value="<?= $this->data['phone_instr_other'] ?>" />
						</dt>
					</dl>

					<div class="clear"></div>
				</div>
			</div>
		</fieldset>

		<fieldset class="vindent">
			<legend><?= __('pv2_section_web') ?></legend>
			<div class="body">
				<div class="inner long">
					<label for="email"><?= __('pv2_label_email_address') ?></label>
					<input id="email" type="text" class="txt" name="email" value="<?= $this->data['email'] ?>" size="40" />
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label for="website"><?= __('pv2_label_website_url') ?></label>
					<input id="website" type="text" class="txt" name="website" value="<?= $this->data['website'] ?>" size="40" />
					<div class="clear"></div>
				</div>
				<div class="inner long" style="margin-left:160px">
					<a href="http://www.escortbook.com" target="_blank"><img src="<?= _st('eb_button_' . $this->lang() . '.png') ?>" /></a>
					<div class="clear"></div>
				</div>
			</div>
		</fieldset>

		<fieldset class="vindent">
			<legend><?= __('pv2_section_address_details') ?></legend>
			<div class="body">
				<div class="inner long">
					<label for="club-name"><?= __('pv2_label_club_name') ?></label>
					<input id="club-name" type="text" class="txt" name="club_name" value="<?= $this->data['club_name'] ?>" size="40" />
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label for="street"><?= __('pv2_label_street_n') ?></label>
					<input id="street" type="text" class="txt" name="street" value="<?= $this->data['street'] ?>" size="40" onblur="DisplayAddress()" />
					<input style="margin-left: 10px" id="street_no" type="text" class="txt" name="street_no" value="<?= $this->data['street_no'] ?>" size="5" onblur="DisplayAddress()" />
					<div class="clear"></div>
				</div>

				<?
					$cities_tab = $this->profile->getWorkingCities();
				if ( $cities_tab['incall_type'] ): ?>
				<div class="inner long">
					<label><?= __('pv2_label_city') ?></label>
					<div id="city" class="fleft" style="margin-right: 50px">
						<span class="strong"><?= Cubix_Geography_Cities::getTitleById($cities_tab['city_id']) ?></span><br/>
						<a href="#" onclick="return Cities.change(this)">change</a>
					</div>
					<span class="tip" title="This is the city which you already entered when you added your incall location."></span>
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label><?= __('pv2_label_zip_code') ?></label>
					<div id="zip" class="fleft" style="margin-right: 50px">
						<span class="strong"><?= $cities_tab['zip'] ?></span><br/>
						<a href="#" onclick="return ZipCode.change(this)">change</a>
					</div>
					<span class="tip" title="This is the ZIP code you already entered when you added your incall working location."></span>
					<div class="clear"></div>
				</div>
				<? endif ?>

			</div>
		</fieldset>

		<div id="gMap-wrapper">
			<div class="options">
				<label for="gmaps-show">
					<input onchange="showHide(this)" id="gmaps-show" type="checkbox" name="display_address" value="1"<?= $this->data['display_address'] ? ' checked="checked"' : '' ?> />
					<span><?= $this->t('display_address_on_website') ?></span>
				</label>
			</div>
			<div style="display: <?= $this->data['display_address'] ? 'block' : 'none' ?>">
				<div id="gMap">

				</div>
			</div>
		</div>
	</div>
</fieldset>

<script type="text/javascript">
	var map, geocoder, gmap_ready = false, current_marker;
	
	var googleMapsInit = function(containerId) {
		geocoder = new google.maps.Geocoder();
		var myOptions = {
			zoom: 15,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		}
		
		map = new google.maps.Map(document.getElementById(containerId), myOptions);

		gmap_ready = true;		
	};

	var googleMapsShowAddress = function (address) {
		if ( ! geocoder ) return false;

		geocoder.geocode(
			{'address': address},
			function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
					if ( current_marker ) current_marker.remove();
					
					map.setCenter(results[0].geometry.location);
					var marker = new google.maps.Marker({
						map: map,
						position: results[0].geometry.location
					});
					
					if ( $('logocontrol') ) $('logocontrol').destroy();
					if ( $$('.terms-of-use-link').length ) $$('.terms-of-use-link').getParent().destroy();
				}
				else {
					alert(address + " <?= $this->t('not_found') ?>");
					$('#gMap').html(address + ' not found').css('height', '30px').css('padding-top','18px');
				}
			}
		);
	};

	var googleMapsShowHide = function (flag) {
		$('gMap').getParent().setStyle('display', flag ? 'block' : 'none');
	};

	var showHide = function (chk) {
		chk = $(chk);
		if ( chk.get('checked') ) {
			googleMapsShowHide(true);
			if ( ! gmap_ready ) { googleMapsInit('gMap'); DisplayAddress(); }
		}
		else {
			googleMapsShowHide(false);
		}
	};

	window.addEvent('domready', function () {
		if ( $('gmaps-show').get('checked') ) {
			googleMapsInit('gMap');
			DisplayAddress();
		}
	});

	var Cities = {
		el: null,
		initial: null,
		target: null,
		city: null,

		change: function (el) {
			el = $(el);

			var t = this.target = el.getParent('div');
			this.initial = t.clone();

			t.empty();
			/* >>>>>>>>>>>>>>>>> */
			var select = this.city = new Element('select', {}).inject(t);
			fetchCities(select, <?= $cities_tab['country_id'] ?>, <?= $cities_tab['city_id'] ?>);

			el.setStyle('display', 'none');

			new Element('br').inject(t);

			var btnUpdate = new Element('a', {
				href: '#',
				html: 'update',
				events: { click: Cities.update.bind(this) }
			}).inject(t);

			new Element('span', {
				html: '|',
				styles: { margin: '0 5px' }
			}).inject(t);

			var btnCancel = new Element('a', {
				href: '#',
				html: 'cancel',
				events: { click: Cities.cancel.bind(this) }
			}).inject(t);
			/* <<<<<<<<<<<<<<<<< */

			return false;
		},

		cancel: function (e) { e.stop();
			this.initial.replaces(this.target);
			this.initial.set('id', 'city');
		},

		update: function (e) { e.stop();
			this.target.setStyle('position', 'relative');
			new Element('div', {
				styles: { position: 'absolute', width: '100%', height: '100%', left: 0, top: 0, background: '#fff' }
			}).set('opacity', .7).inject(this.target);

			new Request({
				url: '/private-v2/profile/ajax-change-city',
				data: { city_id: this.city.get('value') },
				onSuccess: function (resp) {
					resp = JSON.decode(resp, true);
					if ( ! resp.status || resp.status != 'ok' ) {
						//alert('An unexpected error occured');
					}
					else {
						this.initial.getElement('strong').set('html', resp.city);
					}
					
					DisplayAddress();
					this.cancel({ stop: function () {} });
				}.bind(this)
			}).send();
		}
	};

	var fetchCities = function (select, country_id, selected) {
		select.set('disabled', 'disabled');
		new Request({
			url: '/<?= Cubix_I18n::getLang() ?>/geography/ajax-get-cities',
			data: { country_id: country_id },
			onSuccess: function (resp) {
				resp = JSON.decode(resp);
				
				resp.data.each(function (c) {
					new Element('option', {
						html: c.title + '&nbsp;&nbsp;',
						value: c.id,
						selected: c.id == selected ? 'selected' : null
					}).inject(select);
				});
				select.set('disabled', '');
			}
		}).send();
	};

	var ZipCode = {
		el: null,
		initial: null,
		target: null,
		zip: null,

		change: function (el) {
			el = $(el);

			var t = this.target = el.getParent('div');
			this.initial = t.clone();

			t.empty();
			/* >>>>>>>>>>>>>>>>> */
			var input = this.zip = new Element('input', { type: 'text', 'class': 'txt', size: 6, value: this.initial.getElement('strong').get('html') }).inject(t);

			el.setStyle('display', 'none');

			new Element('br').inject(t);

			var btnUpdate = new Element('a', {
				href: '#',
				html: 'update',
				events: { click: ZipCode.update.bind(this) }
			}).inject(t);

			new Element('span', {
				html: '|',
				styles: { margin: '0 5px' }
			}).inject(t);

			var btnCancel = new Element('a', {
				href: '#',
				html: 'cancel',
				events: { click: ZipCode.cancel.bind(this) }
			}).inject(t);
			/* <<<<<<<<<<<<<<<<< */

			return false;
		},

		cancel: function (e) { e.stop();
			this.initial.replaces(this.target);
			this.initial.set('id', 'zip');
		},

		update: function (e) { e.stop();
			this.target.setStyle('position', 'relative');
			new Element('div', {
				styles: { position: 'absolute', width: '100%', height: '100%', left: 0, top: 0, background: '#fff' }
			}).set('opacity', .7).inject(this.target);

			new Request({
				url: '/private-v2/profile/ajax-change-zip',
				data: { zip: this.zip.get('value') },
				onSuccess: function (resp) {
					resp = JSON.decode(resp, true);
					if ( ! resp.status || resp.status != 'ok' ) {
						//alert('An unexpected error occured');
					}
					else {
						this.initial.getElement('strong').set('html', resp.zip);
					}
					
					this.cancel({ stop: function () {} });
				}.bind(this)
			}).send();
		}
	};

	var country = '<?= Cubix_Geography_Countries::getTitleById($cities_tab['country_id']) ?>';

	var DisplayAddress = function () {
		var zp = $('zip'), ct = $('city'), street = $$('input[name=street]')[0], street_no = $$('input[name=street_no]')[0];

		var zip = zp.getElement('strong');

		if ( zp.getElement('input') ) {
			zip = zp.getElement('input').get('value');
		}
		else {
			zip = zip.get('text');
		}

		var city = ct.getElement('strong');

		if ( ct.getElement('select') ) {
			city = ct.getElement('select').getSelected()[0].get('value');
		}
		else {
			city = city.get('text');
		}


		var address = [zip, street.get('value'), street_no.get('value'), city, country].join(' ');

		googleMapsShowAddress(address);
	};
</script>
